Results 1 to 6 of 6

Thread: Select Polyline based on global width

  1. #1
    I could stop if I wanted to
    Join Date
    2015-10
    Posts
    215
    Login to Give a bone
    0

    Default Select Polyline based on global width

    I would like to be able to select polylines based on a given global width. Alternate I would like to be able to select polylines that are NOT of a given width. Is this even possible?

  2. #2
    Administrator BlackBox's Avatar
    Join Date
    2009-11
    Posts
    5,719
    Login to Give a bone
    0

    Default Re: Select Polyline based on global width

    Code:
    (defun c:SsPlineByWidth+ (/ ss)
      (and
        (setq ss
    	   (ssget ":S:E" '((0 . "LWPOLYLINE") (-4 . "<>") (43 . 0)))
        )
        (sssetfirst
          nil
          (ssget "_x"
    	     (list '(0 . "LWPOLYLINE")
    		   (assoc 43 (entget (ssname ss 0)))
    	     )
          )
        )
      )
      (princ)
    )
    
    (defun c:SsPlineByWidth- (/ ss)
      (and
        (setq ss (ssget ":S:E" '((0 . "LWPOLYLINE"))))
        (sssetfirst
          nil
          (ssget "_x"
    	     (list '(0 . "LWPOLYLINE")
    		   '(-4 . "<>") 
    		   (assoc 43 (entget (ssname ss 0)))
    	     )
          )
        )
      )
      (princ)
    )
    "How we think determines what we do, and what we do determines what we get."

    Sincpac C3D ~ Autodesk Exchange Apps

    Computer Specs:
    Dell Precision 3660, Core i9-12900K 5.2GHz, 64GB DDR5 RAM, PCIe 4.0 M.2 SSD (RAID 0), 16GB NVIDIA RTX A4000

  3. #3
    All AUGI, all the time
    Join Date
    2010-10
    Posts
    535
    Login to Give a bone
    0

    Default Re: Select Polyline based on global width

    Quote Originally Posted by BlackBox View Post
    Code:
    ...l
        (setq ss
    	   (ssget ":S:E" '((0 . "LWPOLYLINE") (-4 . "<>") (43 . 0)))
        )...
    Nice. (thumbsup)

  4. #4
    Administrator BlackBox's Avatar
    Join Date
    2009-11
    Posts
    5,719
    Login to Give a bone
    0

    Default Re: Select Polyline based on global width

    Quote Originally Posted by pbejse View Post
    Nice. (thumbsup)
    Cheers, pbejse
    "How we think determines what we do, and what we do determines what we get."

    Sincpac C3D ~ Autodesk Exchange Apps

    Computer Specs:
    Dell Precision 3660, Core i9-12900K 5.2GHz, 64GB DDR5 RAM, PCIe 4.0 M.2 SSD (RAID 0), 16GB NVIDIA RTX A4000

  5. #5
    I could stop if I wanted to
    Join Date
    2015-10
    Posts
    215
    Login to Give a bone
    0

    Default Re: Select Polyline based on global width

    Thank you all!

  6. #6
    Administrator BlackBox's Avatar
    Join Date
    2009-11
    Posts
    5,719
    Login to Give a bone
    0

    Default Re: Select Polyline based on global width

    Quote Originally Posted by mikehaff View Post
    Thank you all!
    You're welcome
    "How we think determines what we do, and what we do determines what we get."

    Sincpac C3D ~ Autodesk Exchange Apps

    Computer Specs:
    Dell Precision 3660, Core i9-12900K 5.2GHz, 64GB DDR5 RAM, PCIe 4.0 M.2 SSD (RAID 0), 16GB NVIDIA RTX A4000

Similar Threads

  1. Polyline issue with global width... vertex between line and arc
    By david.musrie346034 in forum AutoCAD LT - General
    Replies: 6
    Last Post: 2012-12-11, 10:36 PM
  2. 2011: GLOBAL WIDTH NOT PRINTING
    By ivan.239950 in forum AutoCAD General
    Replies: 1
    Last Post: 2010-06-18, 06:34 AM
  3. GLOBAL Polyline Close?
    By gisdude in forum AutoCAD Map 3D - General
    Replies: 3
    Last Post: 2007-06-11, 01:29 PM
  4. Global Width @ intersections?
    By vsheehan in forum AutoCAD General
    Replies: 1
    Last Post: 2006-01-19, 08:20 AM
  5. Polyline Width
    By robert.1.hall72202 in forum AutoLISP
    Replies: 8
    Last Post: 2004-09-28, 07:31 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •